package com.wrj.driver.server.controller;


import com.wrj.driver.server.dto.QuestionJxQueryDto;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.ITdQuestionJxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 题库; 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Api(tags = "精选题库")
@RestController
@RequestMapping("/tdQuestionJx")
@Slf4j
public class TdQuestionJxController {

    @Autowired
    private ITdQuestionJxService tdQuestionJxService;

    @ApiOperation("查询精选题库id")
    @PostMapping("/queryJXQuestionIds")
    public BaseResponse queryJXQuestionIds(@RequestBody QuestionJxQueryDto queryDto) {
        log.info("获取精选题型======>queryDto:{}", queryDto);
        return BaseResponse.success(tdQuestionJxService.queryJXQuestionIds(queryDto));
    }

}
