package com.wrj.driver.server.controller;

import com.wrj.driver.server.interceptor.TenantContextHolder;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.ITdTenantCarService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@Api(tags = "租户车型")
@RequestMapping("/tdTenantCar")
@Slf4j
public class TdTenantCarController {

    @Resource
    private ITdTenantCarService tdTenantCarService;

    //查询租户车型信息
    @ApiOperation("查询租户车型信息")
    @PostMapping("/list")
    public BaseResponse queryList() {
        log.info("获取租户车型信息======>tenantId:{}", TenantContextHolder.getTenantId());
        return BaseResponse.success(tdTenantCarService.queryList(TenantContextHolder.getTenantId()));
    }
}
