package com.wrj.driver.server.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @author 曹林
 * @description 登陆入参
 * @create 2023/8/11 22:21
 */
@Data
@Accessors(chain = true)
public class LoginUserDto {

    @ApiModelProperty(value = "登陆手机号",required = true)
    @NotBlank(message = "登陆手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "登陆验证码",required = true)
    @NotBlank(message = "登陆验证码不能为空")
    private String code;

    @ApiModelProperty(value = "来源")
    private String id;

    @ApiModelProperty(value = "分销人员id")
    private String distributionId;

    @ApiModelProperty(value = "设备号")
    private String device;

    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    @ApiModelProperty(value = "验证用户是否存在")
    private Boolean isCheck;

    @ApiModelProperty(value = "小程序id")
    private String appId;
}
