package com.wrj.driver.server.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysConfigDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车型标识,-1为与车型无关
     */
    @ApiModelProperty("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 配置项KEY
     */
    @ApiModelProperty("CONFIG_KEY")
    private String configKey;

    /**
     * 配置项值
     */
    @ApiModelProperty("CONFIG_VALUE")
    private String configValue;

    /**
     * 配置项名称
     */
    @ApiModelProperty("CONFIG_NAME")
    private String configName;

    /**
     * 配置项说明
     */
    @ApiModelProperty("CONFIG_DESC")
    private String configDesc;

    /**
     * 配置项类型;0: key-value模式
        1: 普通 list 模式
        A-Z:特殊模式
     */
    @ApiModelProperty("CONFIG_TYPE")
    private String configType;

    /**
     * 配置项JSON值
     */
    @ApiModelProperty("CONFIG_JSON")
    private String configJson;

    /**
     * 是否生效
     */
    @ApiModelProperty("IS_ACTIVE")
    private String isActive;

    /**
     * 创建时间
     */
    @ApiModelProperty("CREATE_TIME")
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime createTime;


}
