package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@Accessors(chain = true)
public class SysDistributionDetail implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId("detail_id")
    private Long detailId;

    /** 分销id */
    @TableField("distribution_id")
    private String distributionId;

    /** 会员id */
    @TableField("member_id")
    private Long memberId;

    /** 优惠价 */
    @TableField("discounted_price")
    private BigDecimal discountedPrice;

    /** 提成 */
    @TableField("commission")
    private BigDecimal commission;

    /** 生效日期 */
    @TableField("start_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @Override
    public boolean equals(Object o) {
        if (o == null || getClass() != o.getClass()) return false;

        SysDistributionDetail that = (SysDistributionDetail) o;

        if (distributionId == null || that.distributionId == null || memberId == null || that.memberId == null) return false;

        if (!distributionId.equals(that.distributionId) || !memberId.equals(that.memberId)) return false;
        return true;
    }

    @Override
    public int hashCode() {
        int result = (distributionId != null ? distributionId.hashCode() : 0);
        result = 31 * result + (memberId != null ? memberId.hashCode() : 0);
        return result;
    }

}
