package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 会员折扣表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdMemberDiscount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 会员标识
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Integer id;

    /**
     * 科目
     */
    @TableField("SUBJECT")
    private String subject;

    /**
     * 会员
     */
    @TableField("DISCOUNT_TYPE")
    private String discountType;


    /**
     * 会员折扣，单位元
     */
    @TableField("DISCOUNT")
    private BigDecimal discount;

    @TableField("PARAM1")
    private String param1;

    @TableField("PARAM2")
    private String param2;

    /**
     * 会员时间
     */
    @TableField("DURATION")
    private Integer duration;

    /**
     * 时长单位，1：天，2：月 3：年
     */
    @TableField("UNIT")
    private String unit;

    /**
     * 会员描述
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;



}
