package com.wrj.driver.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wrj.driver.server.dto.QuestionJxQueryDto;
import com.wrj.driver.server.entity.TdQuestion;
import com.wrj.driver.server.mapper.TdQuestionJxMapper;
import com.wrj.driver.server.mapper.TdQuestionMapper;
import com.wrj.driver.server.service.ITdQuestionJxService;
import com.wrj.driver.server.service.ITdQuestionVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TdQuestionJxServiceImpl extends ServiceImpl<TdQuestionMapper, TdQuestion>  implements ITdQuestionJxService {

    @Autowired
    private TdQuestionJxMapper questionJxMapper;

    @Autowired
    private ITdQuestionVersionService versionService;

    @Override
    public List<Long> queryJXQuestionIds(QuestionJxQueryDto queryDto) {
        //校验题库版本是否一致
        versionService.checkQuestionVersion(queryDto.getCarTypeId(), queryDto.getVersionId());

        return questionJxMapper.queryQuestionJxIds(queryDto);
    }
}
